> ## Documentation Index
> Fetch the complete documentation index at: https://dify-6c0370d8-fix-template-upload-size-guidance.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 会話一覧を取得

> **対象アプリ**：Chatflow、Agent、チャットボット、レガシー Agent。

エンドユーザーの会話を、最近アクティブな順に一覧表示します。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /conversations
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
paths:
  /conversations:
    get:
      tags:
        - 会話管理
      summary: 会話一覧を取得
      description: |-
        **対象アプリ**：Chatflow、Agent、チャットボット、レガシー Agent。

        エンドユーザーの会話を、最近アクティブな順に一覧表示します。
      operationId: getBasicChatConversationsListJa
      parameters:
        - description: >-
            エンドユーザーの識別子。アプリ側で定義し、アプリ内で一意にします。[エンドユーザーの識別](/ja/api-reference/guides/end-user-identity)
            を参照してください。
          in: query
          name: user
          required: false
          schema:
            type: string
        - description: ページネーションカーソルです。現在のページの最後の会話の `id` を指定します。省略すると最初のページを取得します。
          in: query
          name: last_id
          required: false
          schema:
            type: string
        - description: 返すレコード数です。
          in: query
          name: limit
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            type: integer
        - description: 並べ替えるフィールドです。降順にするには `-` を先頭に付けます。
          in: query
          name: sort_by
          required: false
          schema:
            default: '-updated_at'
            enum:
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                conversationsList:
                  summary: レスポンス例
                  value:
                    data:
                      - created_at: 1705407629
                        id: 45701982-8118-4bc5-8e9b-64562b4555f2
                        inputs:
                          city: San Francisco
                        introduction: Welcome! How can I help you today?
                        name: iPhone Specs Chat
                        status: normal
                        updated_at: 1705411229
                    has_more: false
                    limit: 20
              schema:
                $ref: '#/components/schemas/ConversationsListResponse'
          description: 会話リストの取得に成功しました。
        '400':
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
                    status: 400
          description: '`not_chat_app` : アプリモードが API ルートと一致しません。'
        '404':
          content:
            application/json:
              examples:
                last_conversation_not_exists:
                  summary: not_found
                  value:
                    code: not_found
                    message: Last Conversation Not Exists.
                    status: 404
          description: '`not_found` : 前の会話が存在しません（無効な `last_id`）。'
components:
  schemas:
    ConversationsListResponse:
      properties:
        data:
          description: 会話のリストです。
          items:
            $ref: '#/components/schemas/ConversationListItem'
          type: array
        has_more:
          description: さらに会話があるかどうかです。
          type: boolean
        limit:
          description: 1 ページあたりの件数です。
          type: integer
      type: object
    ConversationListItem:
      properties:
        created_at:
          description: 作成タイムスタンプ。
          format: int64
          type: integer
        id:
          description: 会話 ID。
          format: uuid
          type: string
        inputs:
          additionalProperties: true
          description: 会話の入力変数です。
          type: object
        introduction:
          description: 会話の紹介文です。
          type: string
        name:
          description: 会話名です。
          type: string
        status:
          description: 会話ステータスです。アクティブな会話の場合は `normal` です。
          type: string
        updated_at:
          description: 最終更新タイムスタンプ。
          format: int64
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````